package Spec;

import br.ufpe.abaco.compiler.*;
import br.ufpe.abaco.ParserGen.*;

public class Counter {

    int lastNumber = 0;

    Counter(CompiledSpecification spec) {

	spec.insertNativeImplementation("nextNumber", new NativeImplementation() {
		public Term evaluate(Term args[]) {
		    return new NumeralTerm(lastNumber++);
		}
	    });


    }


    public static void register(CompiledSpecification spec) {
	new Counter(spec);
    }

}
